> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete



## OpenAPI

````yaml /openapi.json post /api/v1/teams/{team_id}/onboarding/complete
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/{team_id}/onboarding/complete:
    post:
      tags:
        - Team Onboarding
      summary: Complete
      operationId: complete_api_v1_teams__team_id__onboarding_complete_post
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnboardingStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    OnboardingStatusResponse:
      properties:
        step:
          type: string
          title: Step
        connections:
          items:
            $ref: '#/components/schemas/ConnectionRequirement'
          type: array
          title: Connections
        cycle_configured:
          type: boolean
          title: Cycle Configured
          default: false
        loops_configured:
          type: boolean
          title: Loops Configured
          default: false
        lifecycle_type:
          type: string
          title: Lifecycle Type
          default: cyclical
        requires_brand:
          type: string
          title: Requires Brand
          default: optional
        chat_enabled:
          type: boolean
          title: Chat Enabled
          default: true
        cycle_start_mode:
          anyOf:
            - type: string
            - type: 'null'
          title: Cycle Start Mode
        trigger_types:
          items:
            type: string
          type: array
          title: Trigger Types
        trigger_mode:
          anyOf:
            - type: string
            - type: 'null'
          title: Trigger Mode
      type: object
      required:
        - step
      title: OnboardingStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConnectionRequirement:
      properties:
        provider:
          type: string
          title: Provider
        label:
          type: string
          title: Label
        required:
          type: boolean
          title: Required
          default: false
        type:
          type: string
          title: Type
          default: oauth
        connected:
          type: boolean
          title: Connected
          default: false
        fields:
          items:
            $ref: '#/components/schemas/ConnectionFieldDef'
          type: array
          title: Fields
      type: object
      required:
        - provider
        - label
      title: ConnectionRequirement
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ConnectionFieldDef:
      properties:
        key:
          type: string
          title: Key
        label:
          type: string
          title: Label
        type:
          type: string
          title: Type
          default: text
        placeholder:
          type: string
          title: Placeholder
          default: ''
        help:
          type: string
          title: Help
          default: ''
        default:
          type: string
          title: Default
          default: ''
      type: object
      required:
        - key
        - label
      title: ConnectionFieldDef
      description: Describes a single field in a config-type connection form.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````